package cn.com.qmth.stmms.api.controller.admin;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import cn.com.qmth.stmms.api.controller.BaseApiController;
import cn.com.qmth.stmms.biz.exam.query.ExamStudentSearchQuery;
import cn.com.qmth.stmms.biz.exam.service.ExamStudentService;
import cn.com.qmth.stmms.common.annotation.Logging;
import cn.com.qmth.stmms.common.enums.LogType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "识别结果检查")
@Controller("adminAnswerCheckController")
@RequestMapping("/api/admin/exam/check/answer")
public class AnswerCheckController extends BaseApiController {

    @Autowired
    private ExamStudentService studentService;

    @Logging(menu = "识别结果查询数量", type = LogType.QUERY)
    @ApiOperation(value = "查询数量")
    @RequestMapping(value = "count", method = RequestMethod.POST)
    @ResponseBody
    public long count(ExamStudentSearchQuery query) {
        int examId = getSessionExamId();
        if (examId > 0) {
            query.setExamId(examId);
            query.setUpload(true);
            return studentService.countByQuery(query);
        } else {
            return 0;
        }
    }

}
